Skip to main content

Get Index List

Request to be POSTed to uri : /NorenWClientAPI/GetIndexList

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
exch*Exchange

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetIndexList' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","exch":"NSE"}'

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkTopListNames success or failure indication.
valuesArray Of Basket, Criteria pair.
request_timeThis will be present only in a successful response.
emsgThis will be present only in case of errors.

Basket, Criteria pair Object :

Json FieldsPossible valueDescription
idxnameIndex Name
tokenIndex token used to subscribe

Sample Success response:

{
"request_time": "20:12:29 13-12-2020",
"values": [
{
"idxname": "HangSeng BeES-NAV",
"token": "26016"
},
{
"idxname": "India VIX",
"token": "26017"
},
{
"idxname": "Nifty 50",
"token": "26000"
},
{
"idxname": "Nifty IT",
"token": "26008"
},
{
"idxname": "Nifty Next 50",
"token": "26013"
},
{
"idxname": "Nifty Bank",
"token": "26009"
},
{
"idxname": "Nifty 500",
"token": "26004"
},
{
"idxname": "Nifty 100",
"token": "26012"
},
{
"idxname": "Nifty Midcap 50",
"token": "26014"
},
{
"idxname": "Nifty Realty",
"token": "26018"
},
]
}

Sample Failure response:

{
"stat": "Not_Ok",
"request_time": "11:10:43 19-01-2026",
"emsg": "Error Occurred : 5 \"no data\""
}